Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.vsbnetinsurability.builder
Class VSBNetInsurabilityRequestBuilderFactory

    java.lang.Object
      be.ehealth.businessconnector.vsbnetinsurability.builder.VSBNetInsurabilityRequestBuilderFactory

    public final class VSBNetInsurabilityRequestBuilderFactory

extends Object

creates the `RequestBuilder`.

Field Summary
`static String` | `DEFAULT_REQUESTBUILDER_CLASS` the name of the default implemention of the ResponseObjectBuilder.
`static String` | `PROP_REQUESTBUILDER_CLASS` property name which can be used to set an alternative implementation of the ResponseObjectBuilder.

Method Summary
`static RequestBuilder` | `getRequestObjectBuilder()` Retrieves an instance of a `RequestBuilder` implementation The implementation could be a custom class defined in the configuration file with the properties 'vsbnetinsurability.responseobjectbuilder.class'

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_REQUESTBUILDER_CLASS

    public static final String PROP_REQUESTBUILDER_CLASS

  property name which can be used to set an alternative implementation of the ResponseObjectBuilder.

  See Also:
    Constant Field Values

### DEFAULT_REQUESTBUILDER_CLASS

    public static final String DEFAULT_REQUESTBUILDER_CLASS

  the name of the default implemention of the ResponseObjectBuilder.

  See Also:
    Constant Field Values

Method Detail

### getRequestObjectBuilder

    public static RequestBuilder getRequestObjectBuilder()
                                                  throws TechnicalConnectorException

  Retrieves an instance of a `RequestBuilder` implementation The implementation could be a custom class defined in the configuration file with the properties 'vsbnetinsurability.responseobjectbuilder.class'

  Returns:
    `RequestBuilder` the instance of the `RequestBuilder`
  Throws:
    `TechnicalConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.